import 'package:flutter/material.dart';
import 'package:syncrow_app/features/booking_system/presentation/widgets/booking_appbar_widget.dart';
import 'package:syncrow_app/features/shared_widgets/default_button.dart';
import 'package:syncrow_app/features/shared_widgets/default_scaffold.dart';
import 'package:syncrow_app/utils/helpers/app_size.dart';

import '../../../../utils/resource_manager/color_manager.dart';
import '../widgets/row_of_title_arrow_widget.dart';

class BookPage extends StatelessWidget {
  const BookPage({super.key});

  @override
  Widget build(BuildContext context) {
    return DefaultScaffold(
      padding: EdgeInsets.zero,
      appBar: BookingAppBar(),
      child: Column(
        crossAxisAlignment: CrossAxisAlignment.start,
        children: [
          SizedBox(
            height: 20,
          ),
          Padding(
            padding: EdgeInsets.symmetric(horizontal: 10),
            child: Text(
              'Booking Details',
              style: TextStyle(
                fontSize: 15,
                color: ColorsManager.grayColor,
                fontWeight: FontWeight.bold,
              ),
            ),
          ),
          SizedBox(
            height: 5,
          ),
          Container(
            padding: EdgeInsets.all(10),
            height: deviceHeight(context) * 0.25,
            decoration: BoxDecoration(
              borderRadius: BorderRadius.all(Radius.circular(20)),
              color: ColorsManager.onPrimaryColor,
            ),
            child: Column(
              crossAxisAlignment: CrossAxisAlignment.start,
              children: [
                RowOfTitleAndArrowWidget(
                  title: 'Space',
                  onTap: () {},
                ),
                Divider(
                  color: ColorsManager.grayButtonColors,
                ),
                RowOfTitleAndArrowWidget(
                  title: 'Booking Date',
                  onTap: () {},
                ),
                Divider(
                  color: ColorsManager.grayButtonColors,
                ),
                RowOfTitleAndArrowWidget(
                  title: 'Time Slot',
                  onTap: () {},
                )
              ],
            ),
          ),
          SizedBox(
            height: 30,
          ),
          Padding(
            padding: EdgeInsets.symmetric(horizontal: 10),
            child: DefaultButton(
              backgroundColor: ColorsManager.blueColor1,
              child: Text(
                'Book Now',
                style: TextStyle(
                  fontSize: 17,
                  fontWeight: FontWeight.bold,
                ),
              ),
            ),
          ),
        ],
      ),
    );
  }
}
